[AstroPy] error building astropy on Lion

Tim Jenness tim.jenness@gmail....
Tue Jun 19 12:51:00 CDT 2012


On Tue, Jun 19, 2012 at 10:40 AM, Jean-Claude Passy <jcpassy@gmail.com> wrote:
> Hi,
>
> I am new on the mailing list and would like to try the astropy package.
> Unfortunately, I cannot get it installed with the pip command (see error
> below).
> I have installed a full version of Python 2.7.2 through the yT package.
> I am running on Mac OS Lion.
>

I just built it on lion with the system gcc-4.2 and Python 3.2 and it
was fine in the sense that it built ok. It did fail some tests.

> I would really appreciate if someone could help me fix this.
> Thanks a lot,
>

Are you using the Xcode gcc compiler or one that you have installed
yourself? That's a fatal bug in gcc that you are reporting.

-- 
Tim Jenness


More information about the AstroPy mailing list